Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesBooking flow
Query availabilitySearch availabilityBookAutomated emails active per unit
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
orderintegerOrder of the email template as displayed in the admin
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"message_template_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:09:02.881Z",
"order": 0
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
orderFilter<integer>Order of the email template as displayed in the admin
200A list of product message templates with the selected columns
206Partial Content
GET /product_message_templatescurl -X GET "https://api.bookingmood.com/v1/product_message_templates?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<ProductMessageTemplate> | Array<Partial<ProductMessageTemplate>>201The newly created product message templates with the selected columns
POST /product_message_templatescurl -X POST "https://api.bookingmood.com/v1/product_message_templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
orderFilter<integer>Order of the email template as displayed in the admin
204The deleted product message templates with the selected columns
DELETE /product_message_templatescurl -X DELETE "https://api.bookingmood.com/v1/product_message_templates" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
orderFilter<integer>Order of the email template as displayed in the admin
Partial<ProductMessageTemplate>204The updated product message templates with the selected columns
PATCH /product_message_templatescurl -X PATCH "https://api.bookingmood.com/v1/product_message_templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'